Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.describecoverage
Class CoverageDescriptionDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.wcs.describecoverage.CoverageDescriptionDocument

All Implemented Interfaces:
  Serializable

    public class CoverageDescriptionDocument

extends OGCDocument

- usage of srsName from gml:Envelope is not supoorted yet. deegree Envelope doesn't uses CRSs
- gml:Grid and gml:Polygon is not yet supported by the deegree WCS

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary
`static String` | `XML_TEMPLATE`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`CoverageDescriptionDocument()`

Method Summary
`void` | `createEmptyDocument()`
`CoverageOffering[]` | `getCoverageOfferings()` creates a `CoverageDescription` instance from the DOM document encapsulated by this class
`String` | `getVersion()` returns the version of the CoverageDescription

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TEMPLATE

    public static final String XML_TEMPLATE

See Also:
  Constant Field Values

Constructor Detail

### CoverageDescriptionDocument

    public CoverageDescriptionDocument()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Throws:
    `IOException`
    `SAXException`
  See Also:
    "org.deegree.framework.xml.XMLFragment#createEmptyDocument()"

### getVersion

    public String getVersion()
                      throws InvalidCoverageDescriptionExcpetion

  returns the version of the CoverageDescription

  Returns:
    the version of the CoverageDescription
  Throws:
    `InvalidCoverageDescriptionExcpetion`

### getCoverageOfferings

    public CoverageOffering[] getCoverageOfferings()
                                            throws InvalidCoverageDescriptionExcpetion,
                                                   UnknownCRSException

  creates a `CoverageDescription` instance from the DOM document encapsulated by this class

  Returns:
    created `CoverageDescription` instance
  Throws:
    `InvalidCoverageDescriptionExcpetion`
    `UnknownCRSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org